import { AfterViewInit } from '@angular/core';
import { IntlTelInputOptions } from '../model/intl-tel-input-options';
import * as i0 from "@angular/core";
export declare class IntlTelInputComponent implements AfterViewInit {
    cssClass: string;
    E164PhoneNumber: string | null;
    label: string;
    labelCssClass: string;
    name: string;
    onlyLocalized: boolean;
    options: IntlTelInputOptions;
    required: boolean;
    private E164PhoneNumberChange;
    private _inputElement;
    private _phoneNumber;
    private _intlTelInput;
    private static modifyCountryData;
    ngAfterViewInit(): void;
    get intlTelInput(): any;
    get phoneNumber(): string;
    set phoneNumber(value: string);
    i18nizePhoneNumber(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IntlTelInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IntlTelInputComponent, "intl-tel-input", never, { "cssClass": { "alias": "cssClass"; "required": false; }; "E164PhoneNumber": { "alias": "E164PhoneNumber"; "required": false; }; "label": { "alias": "label"; "required": false; }; "labelCssClass": { "alias": "labelCssClass"; "required": false; }; "name": { "alias": "name"; "required": false; }; "onlyLocalized": { "alias": "onlyLocalized"; "required": false; }; "options": { "alias": "options"; "required": false; }; "required": { "alias": "required"; "required": false; }; }, { "E164PhoneNumberChange": "E164PhoneNumberChange"; }, never, never, false, never>;
}
